%define name    everybuddy
%define version 0.1.5
%define release 5mdk

Summary: Instant messaging client 
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Instant messaging
Source: http://www.everybuddy.com/files/%{name}-%{version}.tar.bz2
URL: http://www.everybuddy.com/
Patch: everybuddy-prefs.patch.bz2
Requires: ispell
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Everybuddy is designed to become a Universal Instant Messaging client
designed to seamlessly integrate all existing Instant Messaging clients and
provide a single consistant user interface. Currently, Everybuddy supports
sending and receiving messages in both AOL and ICQ. Yahoo and possibly MSN
support is planned to be incorporated in future releases.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 
#%patch -p1

%build

%configure

make all

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Internet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Networking
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sounds/everybuddy
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_menudir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
cp $RPM_BUILD_ROOT%{_datadir}/pixmaps/ebicon.xpm $RPM_BUILD_ROOT%{_iconsdir}/everybuddy.xpm

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/everybuddy"\
icon="%{name}.xpm"\
title="Everybuddy"\
longtitle="Universal Instant Messaging Client"\
needs="x11"\
section="Networking/Instant messaging"
EOF
)  

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr (-,root,root)
%doc doc/ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
#%{_datadir}/applnk/Internet/Everybuddy.kdelnk
%{_datadir}/pixmaps/ebicon.xpm
#%{_datadir}/gnome/apps/Internet/Everybuddy.desktop
%{_libdir}/menu/*
%{_datadir}/sounds/everybuddy/*
%{_iconsdir}/*

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.5-1mdk
- new and shiny version.

* Wed Nov 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-5mdk
- rebuild for gcc-2.96

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-4mdk
- change menu entry

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-3mdk
- patched prefs.c to use replacement sound
- add menu icon

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-2mdk
- add sound files

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.4-1mdk
- BM
- macros
- v0.1.4
- menu

* Wed May 03 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.1.3-1mdk
 - v0.1.3
 - extra tags to make it a little more kosher

* Wed Feb 16 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.1.2-1mdk
 - v0.1.2
 - bz2 in archive
 - proper directory creation

* Wed Feb 16 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
 - v0.1.1

* Fri Jan 21 2000 Lenny Cartier <lenny@mandrakesoft.com>
 - v0.0.7
 - bz2 archive, add a correct list, set attributes
 - used srpm provided by rufus t firefly <rufus.t.firefly@linux-mandrake.com>

* Tue Dec 28 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [everybuddy-0.0.7-1mdk]
  - new version from freshmeat
* Mon Oct 18 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [everybuddy-0.0.3-1mdk]
  - corrected erroneous datestamp on last package
  - moved to new 0.0.3 source code, as per freshmeat release
* Tue Oct 12 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [everybuddy-0.0.2-1mdk]
  - (19991012) initial packaging (with changelog tag)     
